| Home | Libraries | People | FAQ | More

### deadline_timer_service

Default service implementation for a timer.

    template<
        typename TimeType,
        typename TimeTraits = boost::asio::time_traits<TimeType>>
    class deadline_timer_service :
      public io_service::service

##### Types

Name | Description
--- | ---
duration_type | The duration type.
implementation_type | The implementation type of the deadline timer.
time_type | The time type.
traits_type | The time traits type.

##### Member Functions

Name | Description
--- | ---
async_wait |
cancel | Cancel any asynchronous wait operations associated with the timer.
construct | Construct a new timer implementation.
deadline_timer_service | Construct a new timer service for the specified io_service.
destroy | Destroy a timer implementation.
expires_at | Get the expiry time for the timer as an absolute time.
expires_from_now | Get the expiry time for the timer relative to now.
get_io_service | Get the io_service object that owns the service.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
shutdown_service | Destroy all user-defined handler objects owned by the service.
wait |

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.